Skip to content

Test Notification

POST
/api/notifications/test

Generate a test notification (development only).

TestNotificationRequest

POST /notifications/test request body.

object
title
Title
string
default: Test Notification
message
Message
string
default: This is a test notification from the backend
type
Type
string
default: info
Allowed values: success error warning info
priority
Priority
string
default: normal
Allowed values: low normal high critical

Successful Response

TestNotificationResponse

POST /notifications/test response.

object
success
required
Success
boolean
eventId
Eventid
string
""
message
Message
string
""
error
Error
string
""

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object